MagicWP Docs
WordPress

Delete a WordPress user

DELETE
/v1/sites/{site_id}/wp/users/{wp_user_id}

Permission: wp.users

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid
wp_user_id*Wp User Id

Query Parameters

reassign*Reassign

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

The result; on an error, details such as code and permission.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X DELETE "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/users/0?reassign=0"
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "wp_user_id": 0,    "reassigned_to": 0  }}